Index: test/edu/ucsb/nceas/metacat/dataone/MNodeServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/MNodeServiceTest.java	(revision 8809)
+++ test/edu/ucsb/nceas/metacat/dataone/MNodeServiceTest.java	(revision 8810)
@@ -51,7 +51,7 @@
 import junit.framework.TestSuite;
 
 import org.apache.commons.io.IOUtils;
-import org.dataone.client.ObjectFormatCache;
+import org.dataone.client.v2.formats.ObjectFormatCache;
 import org.dataone.configuration.Settings;
 import org.dataone.ore.ResourceMapFactory;
 import org.dataone.service.util.TypeMarshaller;
@@ -72,9 +72,8 @@
 import org.dataone.service.types.v1.DescribeResponse;
 import org.dataone.service.types.v1.Event;
 import org.dataone.service.types.v1.Identifier;
-import org.dataone.service.types.v1.Log;
-import org.dataone.service.types.v1.MonitorList;
-import org.dataone.service.types.v1.Node;
+import org.dataone.service.types.v2.Log;
+import org.dataone.service.types.v2.Node;
 import org.dataone.service.types.v1.NodeReference;
 import org.dataone.service.types.v1.ObjectFormatIdentifier;
 import org.dataone.service.types.v1.ObjectList;
@@ -83,7 +82,7 @@
 import org.dataone.service.types.v1.Session;
 import org.dataone.service.types.v1.Subject;
 import org.dataone.service.types.v1.SubjectInfo;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 import org.dspace.foresite.ResourceMap;
 import org.jibx.runtime.JiBXException;
 import org.junit.After;
@@ -693,7 +692,7 @@
         // now check that we have at least one
         ObjectList objectList = 
           MNodeService.getInstance(request).listObjects(session, startTime, endTime, 
-              objectFormatId, replicaStatus, start, count);
+              objectFormatId, null, replicaStatus, start, count);
         assertNotNull(objectList);
         assertTrue(objectList.getCount() == count);
         assertTrue(objectList.getStart() == 0);
@@ -731,31 +730,6 @@
     
   }
 
-  public void testGetOperationStatistics() {
-      printTestHeader("testGetOperationStatistics");
-    try {
-      Session session = getCNSession();
-      SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
-        Date startTime = sdf.parse("2010-01-01");
-        Date endTime = new Date();
-      MonitorList monitorList = 
-        MNodeService.getInstance(request).getOperationStatistics(
-            session, 
-            startTime, 
-            endTime, 
-            session.getSubject(), 
-            Event.CREATE, 
-            null //formatId
-            );
-      
-      assertNotNull(monitorList);
-      // TODO: should probably test other parts of the information
-    } catch (Exception e) {
-      e.printStackTrace();
-      fail("Probably not yet implemented: " + e.getMessage());
-    }
-  }
-
   public void testPing() {
 
     try {
@@ -850,7 +824,7 @@
 	    int count = 1;
     
       log = MNodeService.getInstance(request).getLogRecords(session, fromDate, toDate, 
-        event, null, start, count);
+        event.xmlValue(), null, start, count);
       
       assertNotNull(log);      
       assertTrue(log.getCount() == count);
@@ -1157,7 +1131,7 @@
 			InputStream object = new ByteArrayInputStream("test".getBytes("UTF-8"));
 			SystemMetadata sysmeta = createSystemMetadata(guid, session.getSubject(), object);
 			Identifier pid = MNodeService.getInstance(request).create(session, guid, object, sysmeta);
-			InputStream bagStream = MNodeService.getInstance(request).getPackage(session, pid);
+			InputStream bagStream = MNodeService.getInstance(request).getPackage(session, null, pid);
 			File bagFile = File.createTempFile("bagit.", ".zip");
 			IOUtils.copy(bagStream, new FileOutputStream(bagFile));
 			BagFactory bagFactory = new BagFactory();
@@ -1234,7 +1208,7 @@
 			Identifier pid = MNodeService.getInstance(request).create(session, resourceMapId, object, sysmeta);
 			
 			// get the package we uploaded
-			InputStream bagStream = MNodeService.getInstance(request).getPackage(session, pid);
+			InputStream bagStream = MNodeService.getInstance(request).getPackage(session, null, pid);
 			File bagFile = File.createTempFile("bagit.", ".zip");
 			IOUtils.copy(bagStream, new FileOutputStream(bagFile));
 			BagFactory bagFactory = new BagFactory();
Index: test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java	(revision 8809)
+++ test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java	(revision 8810)
@@ -36,7 +36,7 @@
 import junit.framework.TestSuite;
 
 import org.apache.commons.io.IOUtils;
-import org.dataone.client.D1Client;
+import org.dataone.client.v2.itk.D1Client;
 import org.dataone.service.exceptions.BaseException;
 import org.dataone.service.exceptions.NotAuthorized;
 import org.dataone.service.exceptions.NotFound;
@@ -47,14 +47,14 @@
 import org.dataone.service.types.v1.Checksum;
 import org.dataone.service.types.v1.Event;
 import org.dataone.service.types.v1.Identifier;
-import org.dataone.service.types.v1.Log;
-import org.dataone.service.types.v1.Node;
-import org.dataone.service.types.v1.NodeList;
+import org.dataone.service.types.v2.Log;
+import org.dataone.service.types.v2.Node;
+import org.dataone.service.types.v2.NodeList;
 import org.dataone.service.types.v1.NodeReference;
 import org.dataone.service.types.v1.NodeType;
-import org.dataone.service.types.v1.ObjectFormat;
+import org.dataone.service.types.v2.ObjectFormat;
 import org.dataone.service.types.v1.ObjectFormatIdentifier;
-import org.dataone.service.types.v1.ObjectFormatList;
+import org.dataone.service.types.v2.ObjectFormatList;
 import org.dataone.service.types.v1.ObjectList;
 import org.dataone.service.types.v1.Permission;
 import org.dataone.service.types.v1.Replica;
@@ -62,7 +62,7 @@
 import org.dataone.service.types.v1.ReplicationStatus;
 import org.dataone.service.types.v1.Session;
 import org.dataone.service.types.v1.Subject;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 import org.dataone.service.util.Constants;
 
 /**
@@ -165,7 +165,7 @@
 		    int count = 1;
 	    
 		    Log log = CNodeService.getInstance(request).getLogRecords(session, fromDate, toDate, 
-		    	event, null, start, count);
+		    	event.xmlValue(), null, start, count);
 		    assertNotNull(log);
 		    assertTrue(log.getCount() == count);
 		    assertTrue(log.getStart() == start);
Index: test/edu/ucsb/nceas/metacat/dataone/D1NodeServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/D1NodeServiceTest.java	(revision 8809)
+++ test/edu/ucsb/nceas/metacat/dataone/D1NodeServiceTest.java	(revision 8810)
@@ -33,23 +33,22 @@
 import java.util.List;
 
 import org.apache.wicket.protocol.http.mock.MockHttpServletRequest;
-import org.dataone.client.CNode;
-import org.dataone.client.D1Client;
-import org.dataone.client.ObjectFormatCache;
-import org.dataone.service.exceptions.ServiceFailure;
+import org.dataone.client.v2.CNode;
+import org.dataone.client.v2.itk.D1Client;
+import org.dataone.client.v2.formats.ObjectFormatCache;
 import org.dataone.service.types.v1.AccessPolicy;
 import org.dataone.service.types.v1.AccessRule;
 import org.dataone.service.types.v1.Checksum;
 import org.dataone.service.types.v1.Identifier;
-import org.dataone.service.types.v1.Node;
+import org.dataone.service.types.v2.Node;
 import org.dataone.service.types.v1.NodeReference;
 import org.dataone.service.types.v1.NodeType;
 import org.dataone.service.types.v1.Permission;
 import org.dataone.service.types.v1.Session;
 import org.dataone.service.types.v1.Subject;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 import org.dataone.service.types.v1.util.ChecksumUtil;
-import org.dataone.service.types.v1.util.ObjectFormatServiceImpl;
+import org.dataone.service.types.v2.util.ObjectFormatServiceImpl;
 import org.dataone.service.util.Constants;
 
 import edu.ucsb.nceas.MCTestCase;
Index: test/edu/ucsb/nceas/metacat/dataone/SolrQueryAccessFilterTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/SolrQueryAccessFilterTest.java	(revision 8809)
+++ test/edu/ucsb/nceas/metacat/dataone/SolrQueryAccessFilterTest.java	(revision 8810)
@@ -19,11 +19,10 @@
 import junit.framework.TestSuite;
 
 import org.apache.http.HttpResponse;
-import org.dataone.client.D1Client;
-import org.dataone.client.D1RestClient;
-import org.dataone.client.MNode;
-import org.dataone.client.ObjectFormatCache;
-import org.dataone.client.RestClient;
+import org.dataone.client.v2.itk.D1Client;
+import org.dataone.client.v2.MNode;
+import org.dataone.client.v2.formats.ObjectFormatCache;
+import org.dataone.client.rest.RestClient;
 import org.dataone.client.auth.CertificateManager;
 import org.dataone.configuration.Settings;
 import org.dataone.service.types.v1.AccessPolicy;
@@ -34,7 +33,7 @@
 import org.dataone.service.types.v1.Session;
 import org.dataone.service.types.v1.Subject;
 import org.dataone.service.types.v1.SubjectInfo;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 import org.dataone.service.util.Constants;
 import org.junit.Before;
 import org.w3c.dom.Document;
@@ -263,7 +262,7 @@
         assertTrue(title.equals(TITLE));
         
         //Use the libclient without the session, the user shouldn't query the document since its certificate is distrusted and it will be considered as the public.
-        org.dataone.service.types.v1.Node node = MNodeService.getInstance(request).getCapabilities();
+        org.dataone.service.types.v2.Node node = MNodeService.getInstance(request).getCapabilities();
         CertificateManager.getInstance().setCertificateLocation(INTRUSTCERTFILE);
         String baseURL = node.getBaseURL();
         System.out.println("================The base url is "+baseURL);
@@ -275,7 +274,7 @@
         }
         System.out.println("================The MODIFIED base url is "+baseURL);
         MNode mnNode = D1Client.getMN(baseURL);
-        input = mnNode.query(SOLR, generateQuery(id.getValue()));
+        input = mnNode.query(querySession, SOLR, generateQuery(id.getValue()));
         doc = generateDoc(input);
         String resultId2 = extractElementValue(doc, IDXPATH);
         assertTrue("In the testDistrustCertificate method, the query result id should be null", resultId2==null);
@@ -365,7 +364,7 @@
         String query = generateQuery(id.getValue());
         MNodeService service = MNodeService.getInstance(request);
         service.setSession(session);
-        InputStream input = service.query(SOLR, query);
+        InputStream input = service.query(session, SOLR, query);
         return input;
     }
     
Index: test/edu/ucsb/nceas/metacattest/DryadTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/DryadTest.java	(revision 8809)
+++ test/edu/ucsb/nceas/metacattest/DryadTest.java	(revision 8810)
@@ -36,7 +36,7 @@
 import org.dataone.service.types.v1.Identifier;
 import org.dataone.service.types.v1.ObjectFormatIdentifier;
 import org.dataone.service.types.v1.Session;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 
 import edu.ucsb.nceas.metacat.dataone.D1NodeServiceTest;
 import edu.ucsb.nceas.metacat.dataone.MNodeService;
Index: lib/web.xml.tomcat6
===================================================================
--- lib/web.xml.tomcat6	(revision 8809)
+++ lib/web.xml.tomcat6	(revision 8810)
@@ -159,10 +159,10 @@
     <load-on-startup>100</load-on-startup>
   </servlet>
     
-	<!-- CN REST Servlet -->
+	<!-- CN REST Servlet v1 -->
     <servlet>
-      <servlet-name>CNRestServlet</servlet-name>
-      <servlet-class>edu.ucsb.nceas.metacat.restservice.CNRestServlet</servlet-class>
+      <servlet-name>CNRestServletV1</servlet-name>
+      <servlet-class>edu.ucsb.nceas.metacat.restservice.v1.CNRestServlet</servlet-class>
       <init-param>
         <param-name>debug</param-name>
         <param-value>1</param-value>
@@ -174,10 +174,10 @@
       <load-on-startup>15</load-on-startup>
     </servlet>
     
-    <!-- MN REST Servlet -->
+    <!-- CN REST Servlet v2 -->
     <servlet>
-      <servlet-name>MNRestServlet</servlet-name>
-      <servlet-class>edu.ucsb.nceas.metacat.restservice.MNRestServlet</servlet-class>
+      <servlet-name>CNRestServletV2</servlet-name>
+      <servlet-class>edu.ucsb.nceas.metacat.restservice.v2.CNRestServlet</servlet-class>
       <init-param>
         <param-name>debug</param-name>
         <param-value>1</param-value>
@@ -186,8 +186,38 @@
         <param-name>listings</param-name>
         <param-value>true</param-value>
       </init-param>
+      <load-on-startup>15</load-on-startup>
+    </servlet>
+    
+    <!-- MN REST Servlet V1 -->
+    <servlet>
+      <servlet-name>MNRestServletV1</servlet-name>
+      <servlet-class>edu.ucsb.nceas.metacat.restservice.v1.MNRestServlet</servlet-class>
+      <init-param>
+        <param-name>debug</param-name>
+        <param-value>1</param-value>
+      </init-param>
+      <init-param>
+        <param-name>listings</param-name>
+        <param-value>true</param-value>
+      </init-param>
       <load-on-startup>20</load-on-startup>
     </servlet>
+    
+    <!-- MN REST Servlet V2 -->
+    <servlet>
+      <servlet-name>MNRestServletV2</servlet-name>
+      <servlet-class>edu.ucsb.nceas.metacat.restservice.v2.MNRestServlet</servlet-class>
+      <init-param>
+        <param-name>debug</param-name>
+        <param-value>1</param-value>
+      </init-param>
+      <init-param>
+        <param-name>listings</param-name>
+        <param-value>true</param-value>
+      </init-param>
+      <load-on-startup>20</load-on-startup>
+    </servlet>
   
     <servlet-mapping>
         <servlet-name>metacat</servlet-name>
@@ -256,24 +286,28 @@
   </servlet-mapping>
 
 
-	<!-- CN REST services -->
+	<!-- CN REST services v1-->
 	<servlet-mapping>
-		<servlet-name>CNRestServlet</servlet-name>
-		<url-pattern>/d1/cn/*</url-pattern>
-	</servlet-mapping>
-	<servlet-mapping>
-		<servlet-name>CNRestServlet</servlet-name>
+		<servlet-name>CNRestServletV1</servlet-name>
 		<url-pattern>/d1/cn/v1/*</url-pattern>
 	</servlet-mapping>	
 	
-	<!-- MN REST services -->
+	<!-- MN REST services v1 -->
 	<servlet-mapping>
-		<servlet-name>MNRestServlet</servlet-name>
-		<url-pattern>/d1/mn/*</url-pattern>
+		<servlet-name>MNRestServletV1</servlet-name>
+		<url-pattern>/d1/mn/v1/*</url-pattern>
 	</servlet-mapping>
+	
+	<!-- CN REST services v2-->
 	<servlet-mapping>
-		<servlet-name>MNRestServlet</servlet-name>
-		<url-pattern>/d1/mn/v1/*</url-pattern>
+		<servlet-name>CNRestServletV2</servlet-name>
+		<url-pattern>/d1/cn/v2/*</url-pattern>
+	</servlet-mapping>	
+	
+	<!-- MN REST services v2-->
+	<servlet-mapping>
+		<servlet-name>MNRestServletV2</servlet-name>
+		<url-pattern>/d1/mn/v2/*</url-pattern>
 	</servlet-mapping>
 	
  <!-- uncomment this if you want the admin servlet -->
Index: src/xmltables-oracle.sql
===================================================================
--- src/xmltables-oracle.sql	(revision 8809)
+++ src/xmltables-oracle.sql	(revision 8810)
@@ -406,6 +406,7 @@
  */
 CREATE TABLE systemMetadata (
    guid   VARCHAR2(2000),    -- the globally unique string identifier
+   series_id   VARCHAR2(2000),    -- the series identifier
    serial_version VARCHAR2(256), --the serial version of the object   
    date_uploaded DATE, -- the date/time the document was first submitted
    rights_holder VARCHAR2(250), --the user who has rights to the document, usually the first persons to upload it
Index: src/upgrade-db-to-2.5.0-postgres.sql
===================================================================
--- src/upgrade-db-to-2.5.0-postgres.sql	(nonexistent)
+++ src/upgrade-db-to-2.5.0-postgres.sql	(revision 8810)
@@ -0,0 +1,12 @@
+/*
+ * Alter the system metadata table to suport seriesId
+ */
+ALTER TABLE systemMetadata ADD COLUMN series_id text;
+
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('2.5.0', 1, CURRENT_DATE);

Index: src/upgrade-db-to-2.5.0-oracle.sql
===================================================================
--- src/upgrade-db-to-2.5.0-oracle.sql	(nonexistent)
+++ src/upgrade-db-to-2.5.0-oracle.sql	(revision 8810)
@@ -0,0 +1,12 @@
+/*
+ * Alter the system metadata table to suport seriesId
+ */
+ALTER TABLE systemMetadata ADD (guid VARCHAR2(2000));
+
+/*
+ * update the database version
+ */
+UPDATE db_version SET status=0;
+
+INSERT INTO db_version (version, status, date_created) 
+  VALUES ('2.5.0', 1, CURRENT_DATE);

Index: src/xmltables-postgres.sql
===================================================================
--- src/xmltables-postgres.sql	(revision 8809)
+++ src/xmltables-postgres.sql	(revision 8810)
@@ -299,6 +299,7 @@
  */
 CREATE TABLE systemMetadata (
 	guid   text,          -- the globally unique string identifier of the object that the system metadata describes
+	series_id text, -- the series identifier
 	serial_version VARCHAR(256), --the serial version of the object
 	date_uploaded TIMESTAMP, -- the date/time the document was first submitted
 	rights_holder VARCHAR(250), --the user who has rights to the document, usually the first persons to upload it
Index: src/loaddtdschema-postgres.sql
===================================================================
--- src/loaddtdschema-postgres.sql	(revision 8809)
+++ src/loaddtdschema-postgres.sql	(revision 8810)
@@ -123,4 +123,4 @@
 
 
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('2.4.1',1,CURRENT_DATE);
+  VALUES ('2.5.0',1,CURRENT_DATE);
Index: src/loaddtdschema-oracle.sql
===================================================================
--- src/loaddtdschema-oracle.sql	(revision 8809)
+++ src/loaddtdschema-oracle.sql	(revision 8810)
@@ -121,4 +121,4 @@
   VALUES ('Schema', 'http://rs.tdwg.org/dwc/terms/', '/schema/dwc/tdwg_dwcterms.xsd');
 
 INSERT INTO db_version (version, status, date_created) 
-  VALUES ('2.4.1',1,CURRENT_DATE);
+  VALUES ('2.5.0',1,CURRENT_DATE);
